%define name    smtp-conversation
%define version 0.51
%define release 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
BuildArch:      noarch
Summary:        an SMTP service testing script
License:        GPL
Packager:       Martin A. Brown
Vendor:         linux-ip.net
# Distribution:   
Group:          System/Base
Source0:        %{name}-%{version}.tar.gz
#Patch0:
#Patch1:
#Prereq:
Requires: iputils
Requires: bash
#Conflicts:
BuildRoot: %{_tmppath}/%{name}-%{version}-root/

%description
A shell script used for SMTP testing, smtp-conversation can be
used in two modes. In one mode, it will send a specified number of
test messages through any number of servers. In another mode, it
will keep trying to connect to an SMTP server until that SMTP
server become reachable. It relies on socat.

%prep
%setup
#%patch0 -p1
#%patch1 -p0

test "$RPM_BUILD_ROOT" == "/" || rm -rf "$RPM_BUILD_ROOT"
%build
# ./configure
# make

%install
#make DESTDIR=${RPM_BUILD_ROOT} install

# -- install the "etc" tree into the buildroot
#
install -d \
           $RPM_BUILD_ROOT/%{_bindir}/

install    \
           %{name} \
           $RPM_BUILD_ROOT/%{_bindir}/

%clean
test "$RPM_BUILD_ROOT" == "/" || rm -rf "$RPM_BUILD_ROOT"


# %pre
# %preun
# %post
# %postun
# %trigger
# %triggerun

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_bindir}/*
# %ghost /var/run/%{name}.pid

%changelog
* Sat Sep  9 2006 Martin A. Brown <martin@linux-ip.net> 0.51-1
0.4-1 initial packaging
